| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| media type | data type | description |
|---|---|---|
| application/json | UsersList (JSON) |
GET /users
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"users" : [ {
"userName" : "...",
"homeVersion" : 12345
}, {
"userName" : "...",
"homeVersion" : 12345
} ]
}
| name | type | description |
|---|---|---|
| password | form | |
| user | form | |
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| media type | data type |
|---|---|
| application/x-www-form-urlencoded | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
POST /users
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| user | path |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
DELETE /users/{user}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| user | path |
| media type | data type | description |
|---|---|---|
| application/json | SHUBUser (JSON) |
GET /users/{user}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"userName" : "...",
"homeVersion" : 12345
}
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| user | path |
| media type | data type |
|---|---|
| application/x-www-form-urlencoded | (custom) |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) |
PUT /users/{user}
Content-Type: application/x-www-form-urlencoded
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
...
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| user | path |
| media type | data type | description |
|---|---|---|
| application/json | array of string (JSON) |
GET /users/{user}/groups
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
...